Bug 2149894 (CVE-2022-4254) - CVE-2022-4254 sssd: libsss_certmap fails to sanitise certificate data used in LDAP filters
Summary: CVE-2022-4254 sssd: libsss_certmap fails to sanitise certificate data used in...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-4254
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2149902 2149903 2149904
Blocks: 2149831
TreeView+ depends on / blocked
 
Reported: 2022-12-01 10:45 UTC by TEJ RATHI
Modified: 2023-02-14 05:20 UTC (History)
15 users (show)

Fixed In Version: sssd 2.3.1
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in SSSD, in the libsss_certmap functionality. PKINIT enables a client to authenticate to the KDC using an X.509 certificate and the corresponding private key, rather than a passphrase or keytab. FreeIPA uses mapping rules to map a certificate presented during a PKINIT authentication request to the corresponding principal. The mapping filter is vulnerable to LDAP filter injection. The search result can be influenced by values in the certificate, which may be attacker controlled. In the most extreme case, an attacker could gain control of the admin account, leading to full domain takeover.
Clone Of:
Environment:
Last Closed: 2023-01-26 22:52:14 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2023:0397 0 None None None 2023-01-24 08:45:19 UTC
Red Hat Product Errata RHSA-2023:0403 0 None None None 2023-01-24 10:10:19 UTC
Red Hat Product Errata RHSA-2023:0442 0 None None None 2023-01-24 15:11:32 UTC

Description TEJ RATHI 2022-12-01 10:45:17 UTC
FreeIPA supports the Kerberos PKINIT protocol extension (RFC 4556). PKINIT enables a client to authenticate to the KDC using an X.509 certificate and the corresonding private key, rather than a passphrase or keytab. FreeIPA uses mapping rules to map a certificate presented during a PKINIT authentication request to the corresponding principal. The mapping filter is vulnerable to LDAP filter injection. The search result can be influenced by values in the certificate, which may be attacker controlled. In the most extreme case, an attacker could gain control of the admin account, leading to full domain takeover. 

FreeIPA is not vulnerable in its default configuration.

The problem is in libsss_certmap, which is part of SSSD. FreeIPA servers use this library in ipa_kdb Kerberos plugin implementation. 

The issue was introduced in SSSD 1.15.3 (when libsss_certmap was introduced) and resolved in SSSD 2.3.1.

Comment 26 errata-xmlrpc 2023-01-24 08:45:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Advanced Update Support
  Red Hat Enterprise Linux 8.2 Update Services for SAP Solutions
  Red Hat Enterprise Linux 8.2 Telecommunications Update Service

Via RHSA-2023:0397 https://access.redhat.com/errata/RHSA-2023:0397

Comment 27 errata-xmlrpc 2023-01-24 10:10:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2023:0403 https://access.redhat.com/errata/RHSA-2023:0403

Comment 28 errata-xmlrpc 2023-01-24 15:11:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2023:0442 https://access.redhat.com/errata/RHSA-2023:0442

Comment 31 Product Security DevOps Team 2023-01-26 22:52:10 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-4254


Note You need to log in before you can comment on or make changes to this bug.